
#
# Check parameters
#
if [ "$#" == "0" ]; then
  echo "Usage: "
  echo "   $0 <JDK-HOME>"
  echo ""
  echo "Example: "
  echo "   $0 /opt/j2sdk-image"

  exit
fi

JDK_HOME=$1

#
# Preparation
#
rm -rf /tmp/SPECjvm2008/
mkdir -p /tmp/SPECjvm2008/
cp -rf compiler.compiler /tmp/SPECjvm2008/

#
# Begin testing
#

echo "***************************************"
echo "-                                     - "
echo "-        Loongson JVM Load test       - "
echo "-                                     - "
echo "-        Version 1.0  2013.4.25       - "
echo "-                                     - "
echo "***************************************"
echo

i=1

while true; do
echo === $i ===
date

time \
  ${JDK_HOME}/bin/java \
  -cp ${JDK_HOME}/lib/tools.jar:.  hello \
  -nowarn -proc:none  \
  @/tmp/SPECjvm2008/compiler.compiler/sourcefiles.txt


i=$(($i+1))

done

